#include <iostream>
#include <algorithm>

int main(){
	
	
	
	int N;
	std::cin>>N;
	int knjige[N];
	int nemenjanje_provera[N];
	for(int i =0;i<N;i++){
		std::cin>>knjige[i];
		nemenjanje_provera[i]=knjige[i];
	}
	
	int trenutna_cifra;
	
	int lok_tren_cif=0;
	
	
	std::sort(nemenjanje_provera,nemenjanje_provera+N);
	std::reverse(nemenjanje_provera,nemenjanje_provera+N);
	
	for(int h = 0;h<N;h++){
		if(knjige[h]==nemenjanje_provera[h])
		{
			if(h==N-1){
				goto isto_je;
			}
		}
		else{
			break;
		}
		
	}
	
	Neradi:
	
	trenutna_cifra = knjige[lok_tren_cif];
	
	while(trenutna_cifra==9){
		lok_tren_cif+=1;
		trenutna_cifra = knjige[lok_tren_cif];
	}
	
	int max_cifra,max_cifra_lok;
	max_cifra=0;
	for(int j = N-1;j>lok_tren_cif;j--){
		
		if(knjige[j]>knjige[lok_tren_cif]){
			max_cifra = knjige[j];
			max_cifra_lok = j;
		}
		if(max_cifra==9){
			break;
		}
	}
	
	if(max_cifra<trenutna_cifra){
		lok_tren_cif +=1;
		goto Neradi;
	}
	
	knjige[max_cifra_lok]+=knjige[lok_tren_cif];
	knjige[lok_tren_cif]=knjige[max_cifra_lok]-knjige[lok_tren_cif];
	knjige[max_cifra_lok]-=knjige[lok_tren_cif];
	
	isto_je:
	
	for(int k = 0;k<N;k++){
		std::cout<<knjige[k]<<" ";
	}
}